---
title: Matej Ščišľak
published: true
taxonomy:
    category: [bp2024]
    tag: [chatbot,rasa,dialog,nlp]
    author: Daniel Hladek
---

rok začiatku štúdia: 2021

# Bakalárska práca 2024

Súvisiace materiály:

- [Projektová stránka](/topics/chatbot)

Spolupráca:

- [Martin Šarišský](/students/2021/martin_sarissky)

Stretnutie 8.12.2023

Stav:

- Vyriešený problem týkajúci sa SLOTov. Bola potrebná osobnitná funkcia submit.
- Práca na písomenj časti.

Úlohy:

- Vedúci by mal finalizovať zadanie.
- Integrovať Vašu bázu pravidiel s kolegom Šarišským. Spraviť z toho jedného bota. 
- Zistite si ako pracujú veľké jazykové modely LLM a napíšte si o tom  poznámky.
- Preštudujte si, ako integrovať veľké jazykové modely s RASA. Veľké jazykové modely sú ChatGPT alebo BARD.  Na ChatGPT máte k dispozícici študentské kredity cez Azure Dev Tools for Teaching.  

Zásobník úloh:

- Zlepšite Vášho chatbota pomocou ChatGPT. So službou viete komunikovať pomocou Python API a "api tokenu". LLM je možné dotrénovať na vlastných dátach. Alebo LLM vie riešiť špecifickú úlohu ktorú deifinujete pomocou "promptu".

Stretnutie 14.11.

Stav:

- Vyriešený problém s Policy - problém bol asi na strane Stories.
- Nastal problém s rozpoznávaním entít. Podarilo sa naštartovať Form, nepodarilo sa rozpoznať slot. Nevie rozpoznať typ priznania za psa.


Stretnutie 3.11.

Stav:

- Práca na "Forms" v RASA. Problém s "Policy" konfiguráciou bol skonzultovaný.

Úlohy:

- Riešte problém s Policy pomocou "debug" výpisov.
- Píšte BP. Opíšte ako funguje NLU a ako funguje rozhodovanie pomcou pravidiel v RASA. 

Zásobník úloh:

- Naštudujte si čo je to Reinforcement learning a ako to súvisí s chatbotmi. https://www.telusinternational.com/insights/ai-data/article/reinforcement-learning-primer . Napíšte si o tom aj poznámky.

 
Stretnutie 27.10

Stav:

- Pokračuje písomná príprava a práca na kódoch chatbota.

Úlohy:

- Pokračujte v otvorených úlohách, aj zo zásobníka.
- Študujte generatívne jazykové modely.

Zásobník:

- Integrujeme bázu pravidiel oboch chatbotov.

Stretnutie 6.10.

Stav:

- Vypracované úlohy z minulého stretnutia

Úlohy:

- Nadviažte na prácu p. Šarišského a navrhnite a implementujte chatbota na riešenie vybraných a analyzovaných  úloh. Chatbot by mal vedieť identifikovať problém, mal by vedieť či je schopný ho riešiť. Potom by mal naštartovať postup pre riešenie daného problému.   
- Naštudujte si RASA Forms aby ste vedeli pomôcť človeku vyplniť formulár.
- Vytvorte pomôcku pre vyplnenie formulára s pomocou chatbota a RASA Forms pre viacero problémov. Vyberte jednoduché problémy s malým počtom "slotov".
- pravidlá pre chatbota uložte na GIT repozitár s názvom bp2023. Môžete prístup zdieľať s kolegom.
- Prečítajte si najnovšie články o chatbotoch vo verejnej správe "chatbot citizen services". Zistite aké metódy používajú a napíšte o tom do písomnej práce.

Zásobník úloh:

- naštudujte si ako sa vyhodnocuje RASA chatbot.
- napíšte testovacie konverzácie pre Vaše pravidlá.
- Zistite ako pracuje generatívny jazykový model (GPT, T5, LLAMA) a ako sa dá využiť v dialógových systémoch. Sú založené na neurónových sieťach typu Transformer.

Stretnutie 28.9.2023

Stav:

- Nainštalovaná RASA

Úlohy:

- [x] Nainštalujte si Anaconda. Do Anaconda prostredia si nainštalujte RASA.
- [-] Pokračujte v štúdiu RASA-Python. Na servri scholar si vyhľadajte termín "natural language understanding". 
Prečítajte si niekoľko vedeckých článkov alebo kníh na túto tému a napíšte si poznámky.
- [x] Pozrite si stránku https://www.esluzbykosice.sk/. Vyberte niekoľko vzorových problémov a ku nim implementuje asistenta na ich riešenie. Napríklad, občan chce zaplatiť za odvoz odpadu a nevie čo má robiť. Alebo občan si kúpil psa a nevie aké má povinnosti.

Zásobník úloh:

- Vytvorte pomôcku pre vyplnenie formulára s pomocou chatbota.

